<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://www.blw.com/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" targetNamespace="http://www.blw.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://www.blw.com/">
      <s:element name="GetRoomRecord">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="roomNumber" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="tableName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoomRecordResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRoomRecordResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoomCustomerByHotelID">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="hotelID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="roomNumber" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="phoneNumber" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoomCustomerByHotelIDResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRoomCustomerByHotelIDResult" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="phoneNumber" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoomCustomer">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="checkInID" type="s:long" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoomCustomerResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRoomCustomerResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetHotelCode">
        <s:complexType />
      </s:element>
      <s:element name="GetHotelCodeResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetHotelCodeResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetHotelByCode">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetHotelByCodeResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetHotelByCodeResult">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCheckInOrOutRecord">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCheckInOrOutRecordResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCheckInOrOutRecordResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDevices">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetDevicesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetDevicesResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SaveDevice">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="id" type="s:long" />
            <s:element minOccurs="0" maxOccurs="1" name="hotelCode" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="roomNumber" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SaveDeviceResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="SaveDeviceResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateCheckInOrOutRecord">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="id" type="s:long" />
            <s:element minOccurs="1" maxOccurs="1" name="flag" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateCheckInOrOutRecordResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UpdateCheckInOrOutRecordResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateNumber">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="hotelID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="roomNumber" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="validateCode" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateNumberResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ValidateNumberResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateNumberByCode">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="code" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="roomNumber" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="validateCode" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateNumberByCodeResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ValidateNumberByCodeResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCodeAndRoomNumberByPhone">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="phone" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetCodeAndRoomNumberByPhoneResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetCodeAndRoomNumberByPhoneResult">
              <s:complexType>
                <s:sequence>
                  <s:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                  <s:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UploadPhoto">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="idType" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="idCard" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="sex" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="birthday" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="photo" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UploadPhotoResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UploadPhotoResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FaceMatch">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="photo" type="s:base64Binary" />
            <s:element minOccurs="1" maxOccurs="1" name="idType" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="idCard" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="sex" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="matchPhoto" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="FaceMatchResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="FaceMatchResult" type="s:boolean" />
            <s:element minOccurs="1" maxOccurs="1" name="idType" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="idCard" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="name" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="sex" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="matchPhoto" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetRoomRecordSoapIn">
    <wsdl:part name="parameters" element="tns:GetRoomRecord" />
  </wsdl:message>
  <wsdl:message name="GetRoomRecordSoapOut">
    <wsdl:part name="parameters" element="tns:GetRoomRecordResponse" />
  </wsdl:message>
  <wsdl:message name="GetRoomCustomerByHotelIDSoapIn">
    <wsdl:part name="parameters" element="tns:GetRoomCustomerByHotelID" />
  </wsdl:message>
  <wsdl:message name="GetRoomCustomerByHotelIDSoapOut">
    <wsdl:part name="parameters" element="tns:GetRoomCustomerByHotelIDResponse" />
  </wsdl:message>
  <wsdl:message name="GetRoomCustomerSoapIn">
    <wsdl:part name="parameters" element="tns:GetRoomCustomer" />
  </wsdl:message>
  <wsdl:message name="GetRoomCustomerSoapOut">
    <wsdl:part name="parameters" element="tns:GetRoomCustomerResponse" />
  </wsdl:message>
  <wsdl:message name="GetHotelCodeSoapIn">
    <wsdl:part name="parameters" element="tns:GetHotelCode" />
  </wsdl:message>
  <wsdl:message name="GetHotelCodeSoapOut">
    <wsdl:part name="parameters" element="tns:GetHotelCodeResponse" />
  </wsdl:message>
  <wsdl:message name="GetHotelByCodeSoapIn">
    <wsdl:part name="parameters" element="tns:GetHotelByCode" />
  </wsdl:message>
  <wsdl:message name="GetHotelByCodeSoapOut">
    <wsdl:part name="parameters" element="tns:GetHotelByCodeResponse" />
  </wsdl:message>
  <wsdl:message name="GetCheckInOrOutRecordSoapIn">
    <wsdl:part name="parameters" element="tns:GetCheckInOrOutRecord" />
  </wsdl:message>
  <wsdl:message name="GetCheckInOrOutRecordSoapOut">
    <wsdl:part name="parameters" element="tns:GetCheckInOrOutRecordResponse" />
  </wsdl:message>
  <wsdl:message name="GetDevicesSoapIn">
    <wsdl:part name="parameters" element="tns:GetDevices" />
  </wsdl:message>
  <wsdl:message name="GetDevicesSoapOut">
    <wsdl:part name="parameters" element="tns:GetDevicesResponse" />
  </wsdl:message>
  <wsdl:message name="SaveDeviceSoapIn">
    <wsdl:part name="parameters" element="tns:SaveDevice" />
  </wsdl:message>
  <wsdl:message name="SaveDeviceSoapOut">
    <wsdl:part name="parameters" element="tns:SaveDeviceResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateCheckInOrOutRecordSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateCheckInOrOutRecord" />
  </wsdl:message>
  <wsdl:message name="UpdateCheckInOrOutRecordSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateCheckInOrOutRecordResponse" />
  </wsdl:message>
  <wsdl:message name="ValidateNumberSoapIn">
    <wsdl:part name="parameters" element="tns:ValidateNumber" />
  </wsdl:message>
  <wsdl:message name="ValidateNumberSoapOut">
    <wsdl:part name="parameters" element="tns:ValidateNumberResponse" />
  </wsdl:message>
  <wsdl:message name="ValidateNumberByCodeSoapIn">
    <wsdl:part name="parameters" element="tns:ValidateNumberByCode" />
  </wsdl:message>
  <wsdl:message name="ValidateNumberByCodeSoapOut">
    <wsdl:part name="parameters" element="tns:ValidateNumberByCodeResponse" />
  </wsdl:message>
  <wsdl:message name="GetCodeAndRoomNumberByPhoneSoapIn">
    <wsdl:part name="parameters" element="tns:GetCodeAndRoomNumberByPhone" />
  </wsdl:message>
  <wsdl:message name="GetCodeAndRoomNumberByPhoneSoapOut">
    <wsdl:part name="parameters" element="tns:GetCodeAndRoomNumberByPhoneResponse" />
  </wsdl:message>
  <wsdl:message name="UploadPhotoSoapIn">
    <wsdl:part name="parameters" element="tns:UploadPhoto" />
  </wsdl:message>
  <wsdl:message name="UploadPhotoSoapOut">
    <wsdl:part name="parameters" element="tns:UploadPhotoResponse" />
  </wsdl:message>
  <wsdl:message name="FaceMatchSoapIn">
    <wsdl:part name="parameters" element="tns:FaceMatch" />
  </wsdl:message>
  <wsdl:message name="FaceMatchSoapOut">
    <wsdl:part name="parameters" element="tns:FaceMatchResponse" />
  </wsdl:message>
  <wsdl:portType name="syncstatusSoap">
    <wsdl:operation name="GetRoomRecord">
      <wsdl:input message="tns:GetRoomRecordSoapIn" />
      <wsdl:output message="tns:GetRoomRecordSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomerByHotelID">
      <wsdl:input message="tns:GetRoomCustomerByHotelIDSoapIn" />
      <wsdl:output message="tns:GetRoomCustomerByHotelIDSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomer">
      <wsdl:input message="tns:GetRoomCustomerSoapIn" />
      <wsdl:output message="tns:GetRoomCustomerSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetHotelCode">
      <wsdl:input message="tns:GetHotelCodeSoapIn" />
      <wsdl:output message="tns:GetHotelCodeSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetHotelByCode">
      <wsdl:input message="tns:GetHotelByCodeSoapIn" />
      <wsdl:output message="tns:GetHotelByCodeSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetCheckInOrOutRecord">
      <wsdl:input message="tns:GetCheckInOrOutRecordSoapIn" />
      <wsdl:output message="tns:GetCheckInOrOutRecordSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetDevices">
      <wsdl:input message="tns:GetDevicesSoapIn" />
      <wsdl:output message="tns:GetDevicesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="SaveDevice">
      <wsdl:input message="tns:SaveDeviceSoapIn" />
      <wsdl:output message="tns:SaveDeviceSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateCheckInOrOutRecord">
      <wsdl:input message="tns:UpdateCheckInOrOutRecordSoapIn" />
      <wsdl:output message="tns:UpdateCheckInOrOutRecordSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ValidateNumber">
      <wsdl:input message="tns:ValidateNumberSoapIn" />
      <wsdl:output message="tns:ValidateNumberSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ValidateNumberByCode">
      <wsdl:input message="tns:ValidateNumberByCodeSoapIn" />
      <wsdl:output message="tns:ValidateNumberByCodeSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetCodeAndRoomNumberByPhone">
      <wsdl:input message="tns:GetCodeAndRoomNumberByPhoneSoapIn" />
      <wsdl:output message="tns:GetCodeAndRoomNumberByPhoneSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UploadPhoto">
      <wsdl:input message="tns:UploadPhotoSoapIn" />
      <wsdl:output message="tns:UploadPhotoSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="FaceMatch">
      <wsdl:input message="tns:FaceMatchSoapIn" />
      <wsdl:output message="tns:FaceMatchSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="syncstatusSoap" type="tns:syncstatusSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRoomRecord">
      <soap:operation soapAction="http://www.blw.com/GetRoomRecord" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomerByHotelID">
      <soap:operation soapAction="http://www.blw.com/GetRoomCustomerByHotelID" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomer">
      <soap:operation soapAction="http://www.blw.com/GetRoomCustomer" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHotelCode">
      <soap:operation soapAction="http://www.blw.com/GetHotelCode" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHotelByCode">
      <soap:operation soapAction="http://www.blw.com/GetHotelByCode" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCheckInOrOutRecord">
      <soap:operation soapAction="http://www.blw.com/GetCheckInOrOutRecord" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDevices">
      <soap:operation soapAction="http://www.blw.com/GetDevices" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SaveDevice">
      <soap:operation soapAction="http://www.blw.com/SaveDevice" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateCheckInOrOutRecord">
      <soap:operation soapAction="http://www.blw.com/UpdateCheckInOrOutRecord" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateNumber">
      <soap:operation soapAction="http://www.blw.com/ValidateNumber" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateNumberByCode">
      <soap:operation soapAction="http://www.blw.com/ValidateNumberByCode" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCodeAndRoomNumberByPhone">
      <soap:operation soapAction="http://www.blw.com/GetCodeAndRoomNumberByPhone" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UploadPhoto">
      <soap:operation soapAction="http://www.blw.com/UploadPhoto" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FaceMatch">
      <soap:operation soapAction="http://www.blw.com/FaceMatch" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="syncstatusSoap12" type="tns:syncstatusSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetRoomRecord">
      <soap12:operation soapAction="http://www.blw.com/GetRoomRecord" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomerByHotelID">
      <soap12:operation soapAction="http://www.blw.com/GetRoomCustomerByHotelID" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoomCustomer">
      <soap12:operation soapAction="http://www.blw.com/GetRoomCustomer" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHotelCode">
      <soap12:operation soapAction="http://www.blw.com/GetHotelCode" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetHotelByCode">
      <soap12:operation soapAction="http://www.blw.com/GetHotelByCode" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCheckInOrOutRecord">
      <soap12:operation soapAction="http://www.blw.com/GetCheckInOrOutRecord" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetDevices">
      <soap12:operation soapAction="http://www.blw.com/GetDevices" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SaveDevice">
      <soap12:operation soapAction="http://www.blw.com/SaveDevice" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateCheckInOrOutRecord">
      <soap12:operation soapAction="http://www.blw.com/UpdateCheckInOrOutRecord" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateNumber">
      <soap12:operation soapAction="http://www.blw.com/ValidateNumber" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateNumberByCode">
      <soap12:operation soapAction="http://www.blw.com/ValidateNumberByCode" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCodeAndRoomNumberByPhone">
      <soap12:operation soapAction="http://www.blw.com/GetCodeAndRoomNumberByPhone" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UploadPhoto">
      <soap12:operation soapAction="http://www.blw.com/UploadPhoto" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="FaceMatch">
      <soap12:operation soapAction="http://www.blw.com/FaceMatch" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="syncstatus">
    <wsdl:port name="syncstatusSoap" binding="tns:syncstatusSoap">
      <soap:address location="http://pms.boonlive-rcu.com:89/syncstatus.asmx" />
    </wsdl:port>
    <wsdl:port name="syncstatusSoap12" binding="tns:syncstatusSoap12">
      <soap12:address location="http://pms.boonlive-rcu.com:89/syncstatus.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>